nn.pp.vmcore

## Enum VMCore.DriveType

- java.lang.Object
- - java.lang.Enum<VMCore.DriveType>
  - - nn.pp.vmcore.VMCore.DriveType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VMCore.DriveType>
  Enclosing interface:
    VMCore

      public static enum VMCore.DriveType
      extends java.lang.Enum<VMCore.DriveType>

  The type of a redirected drive

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CDROM` The drive represents a CD-ROM or DVD-ROM drive.
    `FLOPPY` The drive represents a floppy drive.
    `HARD_DISK_FULL` The drive represents a complete hard disk (internal) with all partitions.
    `HARD_DISK_FULL_EXTERNAL` The drive represents a complete hard disk (external) with all partitions.
    `HARD_DISK_PARTITION` The drive represents one partition on a hard disk (internal).
    `HARD_DISK_PARTITION_EXTERNAL` The drive represents one partition on a hard disk (internal).
    `REMOVABLE` The drive represents a removable drive (e.g.
    `UNKNOWN` The type of the drive is unknown or not yet known.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VMCore.DriveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VMCore.DriveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final VMCore.DriveType UNKNOWN

      The type of the drive is unknown or not yet known.

    - #### CDROM

          public static final VMCore.DriveType CDROM

      The drive represents a CD-ROM or DVD-ROM drive.

    - #### FLOPPY

          public static final VMCore.DriveType FLOPPY

      The drive represents a floppy drive.

    - #### REMOVABLE

          public static final VMCore.DriveType REMOVABLE

      The drive represents a removable drive (e.g. USB pen drive).

    - #### HARD_DISK_FULL

          public static final VMCore.DriveType HARD_DISK_FULL

      The drive represents a complete hard disk (internal) with all partitions.

    - #### HARD_DISK_FULL_EXTERNAL

          public static final VMCore.DriveType HARD_DISK_FULL_EXTERNAL

      The drive represents a complete hard disk (external) with all partitions.

    - #### HARD_DISK_PARTITION

          public static final VMCore.DriveType HARD_DISK_PARTITION

      The drive represents one partition on a hard disk (internal). On the remote computer, it will appear as a removable drive.

    - #### HARD_DISK_PARTITION_EXTERNAL

          public static final VMCore.DriveType HARD_DISK_PARTITION_EXTERNAL

      The drive represents one partition on a hard disk (internal). On the remote computer, it will appear as a removable drive.

  - ### Method Detail

    - #### values

          public static VMCore.DriveType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VMCore.DriveType c : VMCore.DriveType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VMCore.DriveType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.